package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Mapper
public interface ProOrgMapper extends BaseCRUDMapper{


    public List<Map<String, Object>> getProOrgTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getProOrgTreeByLevelCode(Map<String, Object> map);



    public List<Map<String, Object>> getPageProOrgByOrgCode(Map<String, Object> map);

    public int getCountProOrgByOrgCode(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void updateBatchLevelCode(Map<String, Object> map);

    List<Map<String, Object>> getAllOrg(Map<String, Object> map);
}
